Package com.verisign.epp.codec.secdnsext.v10

## Class EPPSecDNSExtInfData

- java.lang.Object
- - com.verisign.epp.codec.secdnsext.v10.EPPSecDNSExtInfData

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPSecDNSExtInfData
      extends java.lang.Object
      implements EPPCodecComponent

  The EPPSecDNSExtInfData is the EPPCodecComponent that knows how to encode and decode secDNS infData elements from/to XML and object instance.

  Title: EPP 1.0 secDNS

  Description: secDNS Extension to the EPP SDK

  Copyright: Copyright (c) 2006

  Company: VeriSign

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_NAME` | Element tag name for the infData

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPSecDNSExtInfData()` | Instantiate a new instance of EPPSecDNSExtInfData
    `EPPSecDNSExtInfData​(java.util.List dsData)` | Creates a new instance of the `EPPSecDNSExtInfData` with the dsData element.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appendDsData​(EPPSecDNSExtDsData dsData)` | Append to the `List` of DS Data `EPPSecDNSExtDsData` instances
    `java.lang.Object` | `clone()` | Clone `EPPSecDNSExtInfData`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Populate the data of this instance with the data stored in the given Element of the DOM tree
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Append all data from this secDNS inf data to the given DOM Document
    `boolean` | `equals​(java.lang.Object aObject)` | implements a deep `EPPSecDNSExtInfData` compare.
    `java.util.List` | `getDsData()` | Get the dsData that is contained in this inf data
    `java.lang.String` | `getNamespace()` | The namespace associated with this secDNS inf data.
    `void` | `setDsData​(java.util.List dsData)` | Set the dsData of this inf data

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Element tag name for the infData
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPSecDNSExtInfData

          public EPPSecDNSExtInfData()

      Instantiate a new instance of EPPSecDNSExtInfData

    - #### EPPSecDNSExtInfData

          public EPPSecDNSExtInfData​(java.util.List dsData)

      Creates a new instance of the `EPPSecDNSExtInfData` with the dsData element.
      Parameters:
        `dsData` - List of dsData `EPPSecDNSExtDsData` instances.

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      The namespace associated with this secDNS inf data.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        The namespace associated with secDNS component

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Append all data from this secDNS inf data to the given DOM Document
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - The DOM Document to append data to
      Returns:
        Encoded DOM `Element`
      Throws:
        `EPPEncodeException` - Thrown when errors occur during the encode attempt or if the instance is invalid.

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Populate the data of this instance with the data stored in the given Element of the DOM tree
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - The root element of the report fragment of XML
      Throws:
        `EPPDecodeException` - Thrown if any errors occur during decoding.

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      implements a deep `EPPSecDNSExtInfData` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPSecDNSExtInfData` instance to compare with
      Returns:
        true if equal false otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPSecDNSExtInfData`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPSecDNSExtInfData`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getDsData

          public java.util.List getDsData()

      Get the dsData that is contained in this inf data
      Returns:
        List of dsData `EPPSecDNSExtDsData` instances.

    - #### setDsData

          public void setDsData​(java.util.List dsData)

      Set the dsData of this inf data
      Parameters:
        `dsData` - List of dsData `EPPSecDNSExtDsData` instances

    - #### appendDsData

          public void appendDsData​(EPPSecDNSExtDsData dsData)

      Append to the `List` of DS Data `EPPSecDNSExtDsData` instances
      Parameters:
        `dsData` - `EPPSecDNSExtDsData` instance